Our
Contact us today: 717-724-0537

>Adobe Patches Critical Acrobat Reader Security Flaw – All Users should update now!

>This week Adobe released version Acrobat Reader 9.10 to fix some very serious security flaws that affected Acrobat Reader 9. These flaws are also affecting older 8.x and 7.x versions of the Acrobat Reader, but will not be patched for a while longer.

Adobe originally dismissed the flaws that security researchers found as being minor in February when they were discovered, but was forced to acknowledge the serious nature of the flaws when malicious software writers (virus/trojans/malware) began utilizing these flaws to gain access to computers remotely.

2K Networking recommends that anyone utilizing Acrobat Reader 7.x, 8.x or 9.x to update to uninstall all current versions of Acrobat Reader on their system then download and install the Acrobat Reader 9.10 from Adobe here.

For more information on this issue you can read the articles at the following locations:

Computerworld

CNet

BetaNews





Author: 2K Networking
Administrator at 2K Networking



Recent Tweets


Partners

2K Partners

Let’s Keep in Touch

E-mail:      support@2knetworks.com
Phone: 717-724-0537
Fax: 717-909-8437
Hours: 8:00 AM – 5:00 PM, M-F

© 2014 2K Networking, Inc · 27 Miller St · Lemoyne, PA 17043 · 717-724-0537